dg_Grid
	parent_type	=/grid2d_Grid

	//==========================================================================
	//--------------------------------------------------------------------------
	//	Default item is known.
	New(Width=1,Height=1)
		..(Width,Height,src.grid2d_NONE)

	//--------------------------------------------------------------------------
	grid2d_CopyIntoSelf(grid2d_Grid/Grid)
		var/dg_Grid/DG
		//	An actual dg_Grid?
		if ( istype(Grid,/dg_Grid) )
			DG	= Grid
		//	Another type of grid2d_Grid is fine as long as it's all nums.
		else if ( istype(Grid,/grid2d_Grid) )
			for(var/index = 1 to Grid.grid2d_cells.len)
				if ( !isnum(Grid.grid2d_cells[index]) )	return FALSE
		//	Copy.
		.	= ..(Grid)
		if (.)
			//	Update exclusions.
			src.dg_ClearExclusions()
			if (DG && DG.dg_exclusions)	src.dg_exclusions	= DG.dg_exclusions.Copy()

	//--------------------------------------------------------------------------
	grid2d_Reset(Width=1,Height=1)
		.			= ..(Width,Height,src.grid2d_NONE)
		if (.<=0)	return .
		src.dg_ClearExclusions()

	//--------------------------------------------------------------------------
	//	Return grid2d_NONE by default.
	//	It's better than a ton of error checking when comparing bits.
	grid2d_GetItem(X,Y)
		.			= ..(X,Y)
		if (!(.))	.	= src.grid2d_NONE

	//--------------------------------------------------------------------------
	//	Only nums are allowed for bit checking.
	grid2d_PlaceItem(Item,X,Y)
		if ( isnum(Item) )	return ..(Item,X,Y)
		return FALSE